com.jscape.zip

## Interface Archive

- All Known Implementing Classes:
    Gzip, Zip

      public interface Archive

  Implements methods for compression and decompression of files.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addArchiveListener(ArchiveListener listener)` Add listener.
    `void` | `compress(java.io.File file)` Compresses a file.
    `void` | `compress(java.io.File file, java.io.File output)` Compress a file or directory and store to output file
    `void` | `decompress(java.io.File file)` Decompress a file into current directory
    `void` | `decompress(java.io.File file, java.io.File output)` Decompress a file and stores to output file or directory
    `void` | `removeArchiveListener(ArchiveListener listener)` Removes listener.

- - ### Method Detail

    - #### compress

          void compress(java.io.File file)
                 throws ArchiveException

      Compresses a file.
      Parameters:
        `file` - the file to compress.
      Throws:
        `ArchiveException` - ArchiveException

    - #### compress

          void compress(java.io.File file,
                        java.io.File output)
                 throws ArchiveException

      Compress a file or directory and store to output file
      Parameters:
        `file` - the input file.
        `output` - the output file.
      Throws:
        `ArchiveException`

    - #### decompress

          void decompress(java.io.File file)
                   throws ArchiveException

      Decompress a file into current directory
      Parameters:
        `file` - the input file to decompress.
      Throws:
        `ArchiveException`

    - #### decompress

          void decompress(java.io.File file,
                          java.io.File output)
                   throws ArchiveException

      Decompress a file and stores to output file or directory
      Parameters:
        `file` - the archive file to decompress.
        `output` - the output directory or file to decompress to.
      Throws:
        `java.lang.Exception`
        `ArchiveException`

    - #### addArchiveListener

          void addArchiveListener(ArchiveListener listener)

      Add listener.
      Parameters:
        `listener` -

    - #### removeArchiveListener

          void removeArchiveListener(ArchiveListener listener)

      Removes listener.
      Parameters:
        `listener` -

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved